<?php
namespace Datec\DatecFeusermanagement\Hooks;

/**
 * @package datec_feusermanagement
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class FeLoginHooks {
	
	/**
	 * Modified felogin form to add custom links.
	 *
	 * @param array $params paramers used by parent instance
	 * @param object $pObj reference to parent instance
	 * @return unknown
	 */
	function renderDisplayModeLinks($params, $pObj) {  
    	
    	$objectManager = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance('TYPO3\\CMS\\Extbase\\Object\\ObjectManager');
    	$configurationManager = $objectManager->get('TYPO3\\CMS\\Extbase\\Configuration\\ConfigurationManagerInterface');
    	
    	$settings = $configurationManager->getConfiguration(\TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface::CONFIGURATION_TYPE_SETTINGS, 'DatecFeusermanagement'); 		
		$content = $params['content'];
		$addParams = array();
		
		if ($GLOBALS['TSFE']->id != $settings['feUsermanagementPid']) { // currently not on feusermanagement page
			if(isset($GLOBALS['TSFE']->fe_user->user[uid])) {
				$feuserManagementLink = $pObj->pi_linkToPage($settings['usermanagmentLabel'],$settings['feUsermanagementPid'],'',$addParams);
			} else {
				$feuserManagementLink = $pObj->pi_linkToPage($settings['registerLabel'],$settings['feUsermanagementPid'],'',$addParams);
			}						
		} else {
			$feuserManagementLink = "";
		}
			
		$content = $pObj->cObj->substituteMarker($content, '###FEUSERMANAGEMENT_LINK###', $feuserManagementLink);

		// new username markers,uppercase, lowercase, ...
		if ($GLOBALS['TSFE']->fe_user->user) {
			$content = $pObj->cObj->substituteMarker($content, '###USER_UC###', strtoupper($GLOBALS['TSFE']->fe_user->user['username']));
			$content = $pObj->cObj->substituteMarker($content, '###USER_LC###', strtolower($GLOBALS['TSFE']->fe_user->user['username']));
		}
		return $content;
    }
}

?>