<?php
namespace Datec\DatecFeusermanagement\Services;

/**
 *
 * @package datec_feusermanagement
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class MailService implements \TYPO3\CMS\Core\SingletonInterface  {
	
	/**
	 * Sends mail with message to an extern recipient.
	 * 
	 * @param string $subject Subject of message
	 * @param string $msg Message text
	 * @param string $recipientMail Email address of recipient
	 * @param string $recipientName Name of recipient
	 * @param array $settings Plugin configuration
	 * 
	 * @return boolean Message was send
	 */
	public function sendExternMail($subject, $msg, $recipientMail, $recipientName, $settings) {
		$message = new \TYPO3\CMS\Core\Mail\MailMessage();
		$message->setFrom(array($settings['mail']['externMailFrom'] => $settings['mail']['externMailFromName']));
		$message->setTo(array($recipientMail => $recipientName));
		$message->setSubject($subject);
		$message->setBody($msg);
		
		$message->send();
		if($message->isSent()) {
			return TRUE;
		}
	
		return FALSE;
	}
	
}
?>