if (typeof jQuery === 'undefined') { throw new Error('Datec Feusermanagement\'s JavaScript requires jQuery') }

$().ready(function() {
	if($("#lang").length){
		language = $("#lang").val();
	}else {
		language = $("#lang").text();
	}
	DatecTranslate.setLang(language);
	$.validator.addMethod("containsDigit",
        function(value, element) {
            var re = new RegExp('\\d');
            return this.optional(element) || re.test(value);
        },
        "Please check your input."
	);
	$.validator.addMethod("containsUppercase",
        function(value, element) {
            var re = new RegExp('[A-Z]+');
            return this.optional(element) || re.test(value);
        },
        "Please check your input."
	);
	$.validator.addMethod("containsSymbol",
        function(value, element) {
            var re = new RegExp('[$^!^%^&^@^?^#]+');
            return this.optional(element) || re.test(value);
        },
        "Please check your input."
	);
	
	if ($('.loginForm').length) {
    	$('.loginForm').each(function(){
    		$(this).validate();
    	    if($(this).find('#user').length){
				$(this).find('#user').rules("add", {
					required: true,
					messages: {
						required: DatecTranslate.getLanguageString("requireUsername"),
					}
				});
			}
			if($(this).find('#pass').length){
				$(this).find('#pass').rules("add", {
					required: true,
					messages: {
						required: DatecTranslate.getLanguageString("requirePassword"),
					}
				});
			}
    	});    	
    	// error display only on first form
	    if ($('#loginForm').parent().find('.error').length) {
	    	$('#loginForm').parent().find('.error').each(function() {
	    		$(this).modal();
	    	});	    	
	    }
    }
	
	if ($("#pwResetForm").length) {
		$("#pwResetForm").validate();
	    $("#password").rules("add", {
	        required: true,
	        minlength: 8,
	        containsDigit: true,
	        containsUppercase: true,
	        containsSymbol: true,
	        messages: {
	            required: DatecTranslate.getLanguageString("requireNewPassword"),
	            minlenght: $.validator.format(DatecTranslate.getLanguageString("minLength")),
	            containsDigit: DatecTranslate.getLanguageString("requirePassNumber"),
	            containsUppercase: unescape(DatecTranslate.getLanguageString("requireUppercase")),
	            containsSymbol: unescape(DatecTranslate.getLanguageString("requirePassSymbol")),
	        }
	    });		
	}
	
	if ($("#pwResetRequestForm").length) {
		$("#pwResetRequestForm").validate();
	    $("#email").rules("add", {
	        required: true,
	        email: true,
	        messages: {
	            required: DatecTranslate.getLanguageString("requireEmail"),
	            email: DatecTranslate.getLanguageString("emailFormate")
	        }
	    });
	}
	
	if ($("#create").length) {
		$("#create").validate();
	    $("#username").rules("add", {
	        required: true,
			messages: {
	            required: DatecTranslate.getLanguageString("requireUsername"),
	        }
	    });
	    $("#firstName").rules("add", {
	        required: true,
	        messages: {
	            required: DatecTranslate.getLanguageString("requireFirstname")
	        }
	    });
	    $("#lastName").rules("add", {
	        required: true,
	        messages: {
	            required: DatecTranslate.getLanguageString("requireLastname")
	        }
	    });
	    $("#email").rules("add", {
	        required: true,
	        email: true,
	        messages: {
	        	required: DatecTranslate.getLanguageString("requireEmail"),
	            email: DatecTranslate.getLanguageString("emailFormate")
	        }
	    });
	    $("#password").rules("add", {
	        required: true,
	        messages: {
	            required: DatecTranslate.getLanguageString("requirePassword"),
	            
	        }
	    });
	    $('#createButton').click(function (event) {
		    event.preventDefault();
		    var valid = $("#registerForm").valid();
		    if (valid) {
		       $("#registerForm").submit();
		    }
		});
	}
});

var lang = {
		"de": {
			"emailFormate": "Bitte geben Sie Ihre E-Mail Adresse an",
			"minLength": "Ihr Passwort muss mindestens {0} Zeichen lang sein",
			"requireEmail": "Bitte geben Sie Ihre E-Mail Adresse in folgendem Format an (jemand@beispiel.de)",
			"requireFirstname": "Bitte geben Sie Ihren Vornamen an",
			"requireLastname": "Bitte geben Sie Ihren Nachnamen an",
			"requireNewPassword": "Bitte geben Sie Ihr neues Passwort an",
			"requirePassword": "Bitte geben Sie Ihr Passwort an",
			"requirePassNumber": "Ihr Passwort muss mindestens eine Ziffer enthalten",
			"requirePassSymbol": "Ihr Passwort muss mindestens eines dieser Sonderzeichen %28%24%2C%21%2C%25%2C%26%2C@%2C%3F%2C%23%29%0A enthalten",
			"requireUppercase": "Ihr Passwort muss mindestens einen Gro%DFbuchstaben enthalten",
			"requireUsername": "Bitte geben Sie Ihren Benutzernamen an",
		}
}